; Configuration file for Duet 3 (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.2.3 on Wed Jul 14 2021 17:39:08 GMT-0400 (EDT)

; General preferences
; These M665 R/L measurements were with a vernier caliper and a digital protractor.
G90                                            ; send absolute coordinates...
M83                                            ; ...but relative extruder moves
M550 P"DERP 3550"                              ; set printer name
M665 R167.935 L400.368 B160 H510               ; Set delta radius, diagonal rod length, printable radius and homed height (H510 Wham Bam FBS, H506 cast plate)
M666 X0 Y0 Z0                                  ; put your endstop adjustments here, or let auto calibration find them

; Network
M552 P192.168.35.50 S1                               ; enable network and acquire dynamic address via DHCP
M586 P0 S1                                     ; enable HTTP
M586 P1 S0                                     ; disable FTP
M586 P2 S0                                     ; disable Telnet

; Drives
; Reduced M203 Z and M201 Z to reduce Z-hop bang.
; Issue likely stems from floating extruder and counterweight tension.
M569 P0.0 S0                                   ; physical drive 0.0 goes backwards
M569 P0.1 S0                                   ; physical drive 0.1 goes backwards
M569 P0.2 S0                                   ; physical drive 0.2 goes backwards
M569 P0.3 S0                                   ; physical drive 0.3 goes backwards
M584 X0.0 Y0.1 Z0.2 E0.3                       ; set drive mapping
M350 X16 Y16 Z16 E16 I1                        ; configure microstepping with interpolation
M92 X80.00 Y80.00 Z80.00 E400.00               ; set steps per mm
M566 X2000.00 Y2000.00 Z200.00 E1200.00       ; set maximum instantaneous speed changes (mm/min)
M203 X24000.00 Y24000.00 Z2400.00 E2400.00    ; set maximum speeds (mm/min)
M201 X10000.00 Y10000.00 Z1000.00 E3000.00    ; set accelerations (mm/s^2)
M906 X1000 Y1000 Z1000 E500 I50                ; set motor currents (mA) and motor idle factor in per cent
M84 S30                                        ; Set idle timeout

; Axis Limits
M208 Z0 S1                                     ; set minimum Z

; Endstops
M574 X2 S3                                     ; configure sensorless endstop for high end on X
M574 Y2 S3                                     ; configure sensorless endstop for high end on Y
M574 Z2 S3                                     ; configure sensorless endstop for high end on Z

; Z-Probe
M558 P5 R0.4 C"io3.in+io3.out" H5 F600 T6000  ; set Z probe type to effector and the dive height + speeds
G31 P500 X0 Y0 Z-0.370                          ; set Z probe trigger value, offset and trigger height
M557 R160 S20                                  ; define mesh grid

; Heaters
M308 S0 P"temp0" Y"thermistor" T100000 B3950   ; configure sensor 0 as thermistor on pin temp0
M950 H0 C"out0" T0                             ; create bed heater output on out0 and map it to sensor 0
M307 H0 B1 S1.00                               ; enable bang-bang mode for the bed heater and set PWM limit
M140 H0                                        ; map heated bed to heater 0
M143 H0 S120                                   ; set temperature limit for heater 0 to 120C
M308 S1 P"temp1" Y"thermistor" T100000 B4267   ; configure sensor 1 as thermistor on pin temp1
M950 H1 C"out1" T1                             ; create nozzle heater output on out1 and map it to sensor 1
M307 H1 B0 S1.00                               ; disable bang-bang mode for heater  and set PWM limit
M143 H1 S280                                   ; set temperature limit for heater 1 to 280C

; Fans
M950 F0 C"out4" Q500                           ; create fan 0 on pin out4 and set its frequency
M106 P0 S0 H-1                                 ; set fan 0 value. Thermostatic control is turned off
M950 F1 C"out5" Q500                           ; create fan 1 on pin out5 and set its frequency
M106 P1 S1 H1 T45                            ; set fan 1 value. Thermostatic control is turned on

; Tools
M563 P0 S"Nozzle" D0 H1 F0                     ; define tool 0
G10 P0 X0 Y0 Z0                                ; set tool 0 axis offsets
G10 P0 R0 S0                                   ; set initial tool 0 active and standby temperatures to 0C

; Filament Sensor
M591 D0 P1 C"io1.in" S1                        ; simple SPDT microswitch conntected to IO_1: c=IN no=5V nc=GND

; Custom settings
M307 H0 B1 S1.00 R0.894 C120.4 D3.13           ; heat bed autotune results, enable bang-bang mode and set PWM limit
M307 H1 B0 S1.00 R2.294 C294.0 D4.33 V24.0     ; hotend autotune results, disable bang-bang mode for heater  and set PWM limit
M915 P0.0 S2 F0 H80 R0                         ; sensorless homing x, based on 0.5A during homing
M915 P0.1 S2 F0 H80 R0                         ; sensorless homing y, based on 0.5A during homing
M915 P0.2 S2 F0 H80 R0                         ; sensorless homing z, based on 0.5A during homing

; Miscellaneous
M575 P1 S1 B57600                              ; enable support for PanelDue
T0                                             ; select first tool

